/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for FamilyMember
 */
public enum EnumCM_FamilyMember 
{
	//CID 7451 Family Member
	NATURAL_MOTHER("Natural mother"),
	NATURAL_FATHER("Natural father"),
	NATURAL_SISTER("Natural sister"),
	NATURAL_BROTHER("Natural brother"),
	AUNT("Aunt"),
	UNCLE("Uncle"),
	HALF_SISTER("Half-sister"),
	HALF_BROTHER("Half-brother"),
	NATURAL_GRAND_MOTHER("Natural grand-mother"),
	NATURAL_GRAND_FATHER("Natural grand-father"),
	NATURAL_DAUGHTER("Natural daughter"),
	NATURAL_SON("Natural son"),
	FEMALE_FIRST_COUSIN("Female first cousin"),
	MALE_FIRST_COUSIN("Male first cousin");

	private String value;

	EnumCM_FamilyMember(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
